#cube {
    position: relative;
    width: 200px;
    height: 200px;
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateY(0deg);
    transition: transform 3s;
}

.side {
    position: absolute;
    width: 200px;
    height: 200px;
    background: rgba(172, 19, 19, 0.514);
    border: 1px solid rgba(126, 9, 9, 0.514);
    font-size: 3em;
    line-height: 200px;
    text-align: center;
    border-radius: 25px;
    /* adjust this value as needed */

}

.dot {
    position: absolute;
    width: 30px;
    height: 30px;
    background-color: black;
    border-radius: 50%;
}


.center {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.left-top {
    top: 30px;
    left: 30px;
}

.right-bottom {
    bottom: 30px;
    right: 30px;
}

.right-top {
    top: 30px;
    right: 30px;
}

.left-bottom {
    bottom: 30px;
    left: 30px;
}

.center-left {
    top: 50%;
    left: 30px;
    transform: translate(-0%, -50%);
}

.center-right {
    top: 50%;
    right: 30px;
    transform: translate(-0%, -50%);
}

.front {
    transform: translateZ(100px);
}

.back {
    transform: rotateY(180deg) translateZ(100px);
}

.right {
    transform: rotateY(90deg) translateZ(100px);
}

.left {
    transform: rotateY(-90deg) translateZ(100px);
}

.top {
    transform: rotateX(90deg) translateZ(100px);
}

.bottom {
    transform: rotateX(-90deg) translateZ(100px);
}



.app-container {
    max-width: 900px;
    margin: 50px auto;
    padding: 30px;
    max-height: 100%;
}

.app-container-game {
    max-width: 100%;
    margin: 150px;
    padding: 30px;
}

h1 {
    font-weight: 600;
    text-align: center;
    margin-bottom: 20px;
}

.card_vocabulary {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: 0.25rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.card_vocabulary:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.btn-custom {
    background-color: #6d0064;
    color: rgba(255, 255, 255, 0.9);
    border: 1px solid #b800a8;
    font-weight: 600;
    padding: 10px 20px;
    border-radius: 100px;
    box-shadow: 0 0 1px #b800a8, 0 0 2px #b800a8, 0 0 4px #b800a8, 0 0 6px #b800a8;
}

.btn-custom:hover {
    background-color: #b800a8;
    border: 1px solid #b800a8;
    box-shadow: 0 0 2px #b800a8, 0 0 4px #b800a8, 0 0 6px #b800a8, 0 0 8px #b800a8;
    color: #ffffff;
}

.btn-custom:active {
    background-color: #d100c0;
    border: 1px solid #d100c0;
    box-shadow: 0 0 5px #b800a8, 0 0 10px #b800a8, 0 0 15px #b800a8, 0 0 20px #b800a8;
    color: #ffffff;
}

.btn-custom-game {
    background-color: #6d0064;
    color: rgba(255, 255, 255, 0.9);
    border: 1px solid #b800a8;
    font-weight: 600;
    padding: 10px 20px;
    border-radius: 10px;
    width: 30%;
    /* height: 10rem; */
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 1rem;
    box-shadow: 0 0 1px #b800a8, 0 0 2px #b800a8, 0 0 4px #b800a8, 0 0 6px #b800a8;
}

.btn-custom-game:hover {
    background-color: #b800a8;
    border: 1px solid #b800a8;
    box-shadow: 0 0 2px #b800a8, 0 0 4px #b800a8, 0 0 6px #b800a8, 0 0 8px #b800a8;
    color: #ffffff;
}

.btn-custom-game:active {
    background-color: #d100c0;
    border: 1px solid #d100c0;
    box-shadow: 0 0 5px #b800a8, 0 0 10px #b800a8, 0 0 15px #b800a8, 0 0 20px #b800a8;
    color: #ffffff;
}

.card-columns {
    column-count: 1;
}

.shake {
    animation: shake 0.6s;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
    min-height: 100vh;
    background: radial-gradient(66.5% 221.21% at 136.03% -61.44%, rgba(161, 155, 217, .4) 0, rgba(161, 155, 217, 0) 92.09%), radial-gradient(93.54% 126.91% at 29.15% -56.29%, rgba(233, 69, 96, .7) 0, rgba(233, 69, 96, 0) 92.09%), radial-gradient(86.19% 101.84% at -17.13% -24.8%, rgba(0, 162, 254, .7) 0, rgba(0, 162, 254, 0) 92.09%), #460040;
    font-family: 'Roboto', sans-serif;
    color: #ffffff;
}

body.start {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    margin: 0;
}

.centered-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    /* Takes up remaining height after 50px top gap */
}

.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: transparent;
    background-clip: border-box;
    border: none;
    border-radius: 0.25rem;
}

.game-level {
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    position: relative;
    transform-style: preserve-3d;
    padding: 2rem;
    background: #350520;
    border: 0.125rem solid #fff;
    border-radius: 1.5rem;
    max-width: 60rem;
    opacity: .777;
    filter: blur(0.01rem);
    transition: transform 0.3s ease;
}

.game-level-games {
    display: flex;
    flex-direction: column;
}

.game-level-games-header {
    display: flex;
    flex-direction: row;
    border-bottom: 0.125rem solid #6d0064;
    border-radius: 1.5rem;

}

div.game-level.completed {
    opacity: .777;
    filter: blur(0.01rem);
}


div.game-level.active {
    animation: active-game 1.5s ease infinite;
    animation-duration: 1.5s;
    animation-timing-function: ease;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: none;
    animation-play-state: running;
    animation-name: active-game;
    border-color: #ffffff;
    box-shadow: 0 0 0.25rem hsla(0, 0%, 100%, .5);
    cursor: pointer;
    opacity: 1;
    filter: blur(0);
}

@keyframes active-game {
    0% {
        box-shadow: 0 0 0 0 #ffffff;
    }

    70% {
        box-shadow: 0 0 0 0.75rem transparent;
    }

    100% {
        box-shadow: 0 0 0 0 transparent;
    }
}

div.game-level.blurred {
    opacity: .333;
    filter: blur(0.05rem);
}





.game-level-columns {
    align-items: center;
    display: flex;
    flex-direction: column-reverse;
    gap: 4rem;
    margin: 0 auto;
    overflow-y: auto;
    padding-bottom: 4rem;
    position: relative;
    scroll-behavior: smooth;
    scrollbar-width: none;
    transform-style: preserve-3d;
    width: 100%;
}

.game-wrapper {
    height: 100%;
    opacity: 1;
    padding-top: 4rem;
    position: relative;
    width: 100%;
}



.card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.card-body-game {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background: #350520;
    border-bottom: 0.125rem solid #6d0064;
    border-radius: 1.5rem;
    width: 50rem;
    text-align: center;
}

.card-body-main {
    font-size: 200%;
}

.card-title {
    text-align: center;
    margin-bottom: 20px;
    margin-top: 20px;
}

.card-game {
    width: 80%;
    height: 120px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: inline-block;
    margin: 10px;
}

.card.large {
    width: 100%;
    height: auto;
    min-height: 240px;
    margin: 10px auto;
    display: block;
}

.options {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.direction-card {
    height: auto;
    width: 20%;
}

.form-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.form-check-inline {
    text-align: left;
}

.menu-buttons {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.menu-buttons .form-check {
    padding: 0px 10px;
}

.navbar-popup:hover .menu-buttons .form-check {
    padding: 10px;
}

.card.answer {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 50%;
}

.card-container {
    display: flex;
    flex-direction: row;
    /* 
    justify-content: space-between; */
    align-items: stretch;
    height: 100%;
    width: 100%;
    /* Updated from 90% */
    margin-left: auto;
    margin-right: auto;
}

.card-container.vocabulary {
    display: flex;
    flex-direction: column;
    /* 
    justify-content: space-between; */
    align-items: stretch;
    height: 100%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.card.vocabulary.large {
    width: 100%;
    /* Updated from 50% */
    height: auto;
    min-height: 240px;
    margin: 10px auto;
    display: block;
}

.options.vocabulary {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 4%;
    /* Added for spacing between answer cards */
}

.card.vocabulary.answer-small {
    width: 48%;
    /* New class for small answer cards */
}

.navbar-popup {
    position: absolute;
    top: 20px;
    left: 0px;
    z-index: 1030;
    background-color: rgba(255, 255, 255, 0.9);
    padding: 20px 0px 30px 30px;
    border-radius: 0px 50px 50px 0px;
    width: 175px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    font-size: 0.8em;
    color: rgba(0, 0, 0, .5);
    opacity: 0.7;
    /* Make it almost transparent */
    transition: opacity 0.3s ease;
    /* Add transition effect for smooth change of opacity */
}

.navbar-popup .form-check:not(.form-check-checked) {
    display: none;
}

.navbar-popup:hover .form-check:not(.form-check-checked) {
    display: block;
}


.navbar-popup:hover {
    opacity: 1;
    /* Less transparent when hovered */
}


.fixed-navbar {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1030;
    /* This ensures the navbar is displayed above other content */
}

.navbar-nav {
    width: 100%;
}

.nav-item {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    flex-direction: column;
    width: 100%;
}


.word-image {
    max-width: 80%;
    /* Adjust to desired max width */
    max-height: 200px;
    /* Adjust to desired max height */
    object-fit: contain;
    /* This will make sure the image keeps its aspect ratio */
}

.progress-bar {
    display: flex;
    /* Add this line */
    width: 100%;
    height: 20px;
    background-color: #f3f3f3;
    border-radius: 13px;
    overflow: hidden;
    flex-direction: inherit;
}


.progress-bar-segment {
    flex-grow: 1;
    background-color: #ccc;
    transition: background-color 0.3s ease-in-out;
    border-radius: 25px;
    margin: 0% 0.1%;
}


.progress-bar-segment:last-child {
    border-right: none;
}

.correct {
    background-color: green;
}

.incorrect {
    background-color: red;
}

.cursive-font {
    font-family: 'Lexend Deca', sans-serif;

}

.cursive-font-small {
    font-family: 'Lexend Deca', sans-serif;
    font-size: 50%;
}


.drop-zone {
    position: fixed;
    left: 0;
    right: 0;
    height: 30vh;
    /* 50% of the viewport height */
    color: white;
    /* Make the text white */
    text-align: center;
    /* Center the text */
    line-height: 30vh;
    /* Vertically center the text */
    display: flex;
    /* Add this */
    flex-direction: column;
    /* Add this */
    justify-content: center;
    /* Add this */
    align-items: center;
    /* Add this */
    /* Add transition for smooth hover effect */
    transition: color 0.3s ease;
}


.zone-text {
    margin: 0;
}

.drop-zone#top-drop-zone {
    top: 0;
}

.drop-zone#bottom-drop-zone {
    bottom: 0;
}

/* Hover effect */
.drop-zone.hover .zone-text {
    color: rgba(0, 0, 0, 0.5);
}

.drop-zone.hover .hide-icon {
    fill: rgba(0, 0, 0, 0.5);
}

.drop-zone.hover .study-icon {
    fill: rgba(0, 0, 0, 0.5);
}

#train-page {
    background-color: #ff8c00;
    /* dark strong orange */
    font-family: 'Roboto', sans-serif;
}

#writing-page {
    background-color: #ff8c00;
    /* dark strong orange */
    font-family: 'Roboto', sans-serif;
}

#lessons-page {
    background: #fff;
    font-family: 'Roboto', sans-serif;
}

#train-page .app-container-game {
    background-color: transparent;
    color: #ffffff;
    /* white color for the text */
    font-size: 1.5em;
    /* increase the font size */
    font-weight: bold;
    /* make font bold */
    max-width: 100%;
    margin: 10%;
    padding: 30px;
}

#writing-page .app-container-game {
    background-color: transparent;
    color: #ffffff;
    /* white color for the text */
    font-size: 1.5em;
    /* increase the font size */
    font-weight: bold;
    /* make font bold */
    max-width: 100%;
    margin: 10%;
    padding: 30px;
}

#lessons-page .app-container-game {
    background-color: transparent;
    color: #2e2e2e;
    /* white color for the text */
    font-size: 1.5em;
    /* increase the font size */
    font-weight: bold;
    /* make font bold */
    width: 80%;
    margin: 2%;
    padding: 30px;
}

#train-page .card {
    background-color: #fa951a;
    /* lighter orange */
    border: 5px solid #ffffff;
    /* thick white border */
    border-radius: 20px;
    /* rounded border */
    color: #ffffff;
    /* white color for the text */
    font-weight: bold;
    /* make font bold */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

#writing-page .card {
    background-color: #fa951a;
    /* lighter orange */
    border: 5px solid #ffffff;
    /* thick white border */
    border-radius: 20px;
    /* rounded border */
    color: #ffffff;
    /* white color for the text */
    font-weight: bold;
    /* make font bold */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

#train-page .card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    background-color: #e07b00;
    /* slightly darker orange */
}

#writing-page .card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    background-color: #e07b00;
    /* slightly darker orange */
}

#train-page .card.active.vocabulary.large {
    background-color: transparent;
    border: none;
    /* removes the border */
    box-shadow: none;
}

#writing-page .card.active.vocabulary.large {
    background-color: transparent;
    border: none;
    /* removes the border */
    box-shadow: none;
    display: flex;
}

#train-page .card.active.vocabulary.large .card-title {
    font-weight: bold;
    /* makes the text bold */
    font-size: 2em;
    /* increases the font size */
}

#writing-page .card.active.vocabulary.large .card-title {
    font-weight: bold;
    /* makes the text bold */
    font-size: 2em;
    /* increases the font size */
}

#train-page .back-bottom .btn-custom {
    background-color: #fa951a;
    min-height: 100px;
    position: fixed;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    /* This aligns items horizontally */
    align-items: center;
    /* This aligns items vertically */
    border-radius: 0px;
    border: 1px solid #ca7813;
    box-shadow: 0 0 1px #ca7813, 0 0 2px #ca7813, 0 0 4px #ca7813, 0 0 6px #ca7813;
}

#writing-page .back-bottom .btn-custom {
    background-color: #fa951a;
    min-height: 100px;
    position: fixed;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    /* This aligns items horizontally */
    align-items: center;
    /* This aligns items vertically */
    border-radius: 0px;
}


#train-page .back-bottom .btn-custom:hover {
    background-color: #e07b00;
    /* slightly darker orange */
    color: #ffffff;
    /* white text color */
}

#writing-page .back-bottom .btn-custom:hover {
    background-color: #e07b00;
    /* slightly darker orange */
    color: #ffffff;
    /* white text color */
}

#train-page .card.bg-danger {
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
}

#writing-page .card.bg-danger {
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
}

#train-page .card.bg-success {
    background-color: #28a745 !important;
    border-color: #28a745 !important;
}

#writing-page .card.bg-success {
    background-color: #28a745 !important;
    border-color: #28a745 !important;
}

#train-page .navbar {
    padding: 0;
}

#writing-page .navbar {
    padding: 0;
}

#train-page .nav-item {
    align-items: flex-start;
}

#writing-page .nav-item {
    align-items: flex-start;
}

#study-page {
    background-color: #007710;
    font-family: 'Roboto', sans-serif;
}

#study-page .app-container-game {
    background-color: transparent;
    color: #ffffff;
    /* white color for the text */
    font-size: 1.5em;
    /* increase the font size */
    font-weight: bold;
    /* make font bold */
    max-width: 100%;
    margin: 20%;
    padding: 30px;
}

#study-page .card {

    /* thick white border */
    border-radius: 20px;
    /* rounded border */
    color: #ffffffda;
    /* white color for the text */
    font-weight: bold;
    /* make font bold */
}

#study-page .card-text {
    margin-bottom: 0;
}

#study-page .card-body-main {
    padding: 100px;
}


#study-page .card.active.vocabulary.large {
    background-color: transparent;
    border: none;
    /* removes the border */
    box-shadow: none;

}

#study-page .card.active.vocabulary.large .card-title {
    font-weight: bold;
    /* makes the text bold */
    font-size: 2em;
    /* increases the font size */
}

#study-page .back-bottom .btn-custom {
    background-color: #00550b;
    left: 0;
    min-width: 175px;
    display: flex;
    justify-content: center;
    /* This aligns items horizontally */
    align-items: center;
    /* This aligns items vertically */
    border-radius: 0px 50px 0px 0px;
    color: #1f1f1f;
    margin: -20px 0px 10px -30px;
    ;
}


#study-page .back-bottom .btn-custom:hover {
    background-color: #003a08;
    color: #ffffffda;
}

#study-page .card.bg-danger {
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
}

#study-page .card.bg-success {
    background-color: #28a745 !important;
    border-color: #28a745 !important;
}

#study-page .navbar {
    padding: 0;
}

#study-page .nav-item {
    align-items: flex-start;
}

.modal {

    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    display: flex;
    /* Change from 'none' to 'flex' */
    justify-content: center;
    /* Center children horizontally */
    align-items: center;
    /* Center children vertically */
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;

}

#study-page .modal {

    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    /* Change from 'none' to 'flex' */
    justify-content: center;
    /* Center children horizontally */
    align-items: center;
    /* Center children vertically */
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;

}

.modal-backdrop.show {
    opacity: 0.8;
}

.modal-backdrop {

    background-color: #000e22;
}

.modal-content {
    background-color: #0047ab;
    color: rgba(255, 255, 255);
}

.modal-header {
    border-bottom: none;
}

.modal-footer {
    border-top: none;
}

.btn#custom-install-button {
    background-color: #ff8c00;
    color: #002456;
    border-radius: 500px;
    border: none;

}

#login .close {
    color: #ff8c00;
    opacity: .7;
    text-shadow: 0 1px 0 #fa951a;
}

#login .form-control {
    border-radius: 25px !important;
    background-color: #ff51f163 !important;
    border: 1px solid #5d0055 !important;
    color: #fff !important;
    box-shadow: 0 0 1px #5d0055, 0 0 2px #5d0055, 0 0 4px #5d0055, 0 0 6px #5d0055;
    height: 3rem;
}

#login .form-control::placeholder {
    color: #fff;
    opacity: 1;
    /* Firefox */
}

#login .form-control:-ms-input-placeholder {
    color: #fff;
}

#login .form-control::-ms-input-placeholder {
    color: #fff;
}

#registration-back-button a {
    /* Your CSS properties here */
    color: #fff;
    font-size: 24px;
    /* etc. */
}


.input-container {
    position: relative;
}

.icon {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: #6c757d;
}

.form-control.with-icon {
    padding-left: 30px;
    /* Adjust this value based on the size of your icon */
}

/* This is the new "checkbox" */

.custom-checkbox {
    display: flex;
    align-items: center;
}

.custom-checkbox span {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-right: 5px;
    background: #ffffff;
    border: 2px solid #41003b;
    position: relative;
}

.form-check:hover input~.checkmark {
    background-color: #b800a8;
}

.form-check:hover {
    color: #b800a8;
}

.container input:checked~.checkmark {
    background-color: #b800a8;
}

/* This is the checkmark that appears when the checkbox is checked */
.custom-checkbox input:checked+span:after {
    content: "";
    display: block;
    width: 5px;
    height: 10px;
    border: solid #ffffff;
    border-width: 0 3px 3px 0;
    position: absolute;
    top: 2px;
    left: 6px;
    transform: rotate(45deg);
}

#login-link {
    color: #b800a8;
}

#login-link:hover {
    color: #eb00d7;
}

.hide-icon {
    width: 50px;
    height: auto;
    fill: #ffffffda;
    /* Here's where you set the color of your SVG */
    display: flex;
    align-items: center;
    justify-content: center;
    left: auto;
    top: auto;
    transform: translateY(-100%);
}




.study-icon {
    width: 50px;
    height: auto;
    fill: #ffffffda;
    /* Here's where you set the color of your SVG */
    display: flex;
    align-items: center;
    justify-content: center;
    left: auto;
    top: auto;
    transform: translateY(100%);
}

#welcome-header {
    position: absolute;
    top: 10px;
    right: 10px;
}

#welcome-header p {
    font-size: 1.3rem;
}

#welcome-header a {
    color: #b800a8;
}

#welcome-header a:hover {
    color: #eb00d7;
}

#welcome-page-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    /* This is equal to the height of the viewport */
    text-align: center;
}

#get-started-button {
    position: absolute;
    left: 50%;
    bottom: 11%;
    transform: translate(-50%, -50%);
}



#registration-progress-bar {
    display: flex;
    justify-content: space-between;
}

.registration-progress-segment {
    flex: 1;
    height: 10px;
    background-color: #001c44;
}

.registration-progress-segment.active {
    background-color: orange;
}

#registration-back-button {
    position: absolute;
    top: 2.5rem;
    left: 1.25rem;
    width: 100%;
    padding-right: 2.5rem;
}

.language-selection .btn {
    height: 60px;
    margin-bottom: 10px;
    margin-right: 15px;
}

.page-language-selection {
    margin-top: 100px;

}

.language-selection {
    text-align: center;

}

#answer-container-writing-train {
    display: flex;
    align-items: center;
    height: 60px;
    /* Adjust the height as needed */
    border-radius: 30px;
    /* Half of the height to make it perfectly round */
    background-color: #e07b00;
    /* Adjust the background color as desired */
    padding: 5px 10px;
    /* Adjust the padding as needed */
}

#answer-input-writing-train {
    flex: 1;
    height: 100%;
    font-size: 18px;
    /* Adjust the font size as desired */
    border: none;
    outline: none;
    border-radius: 30px 0 0 30px;
}

#submit-answer-writing-train {
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
    margin-left: 10px;
    /* Adjust the margin as needed */
}

#show-phonetics {
    background-color: #e07b00;
    border: none;
    border-radius: 30px;
    outline: none;
    cursor: pointer;
    margin-top: 0px;
    /* Adjust the margin as needed */
}

#read-word {
    background-color: #e07b00;
    border: none;
    border-radius: 30px;
    outline: none;
    cursor: pointer;
    margin-left: 0px;
    /* Adjust the margin as needed */
}

#show-answer {
    background-color: #e07b00;
    border: none;
    border-radius: 30px;
    outline: none;
    cursor: pointer;
    margin-left: 0px;
    /* Adjust the margin as needed */
}

.help-buttons {
    text-align: center;
}

#submit-answer-writing-train:focus {

    box-shadow: none;
}

#submit-answer-writing-train i {
    font-size: 24px;
    /* Adjust the icon size as desired */
    color: #333;
    /* Adjust the icon color as desired */
}

#goal-selection .btn.selected {
    background-color: #4b0a45;
    /* This is a green color */
    color: #ffffff;
    /* This is white color */
    border: 2px solid #9e2c95;
    /* Adds a darker green border */
    box-shadow: 0 0 1px #4b0a45, 0 0 2px #4b0a45, 0 0 4px #4b0a45, 0 0 6px #4b0a45;
    font-weight: bold;
    /* Makes the text bold */
}

#interests-selection .btn.selected {
    background-color: #4b0a45;
    /* This is a green color */
    color: #ffffff;
    /* This is white color */
    border: 2px solid #9e2c95;
    /* Adds a darker green border */
    box-shadow: 0 0 1px #4b0a45, 0 0 2px #4b0a45, 0 0 4px #4b0a45, 0 0 6px #4b0a45;
    font-weight: bold;
    /* Makes the text bold */
}


.next-btn {
    display: none;
    /* Additional styles to center the button */
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    bottom: 0;
}

#login-next-btn {

    margin-top: 2rem;

}


.card.active.lessons.large {
    display: flex;
    flex-direction: column;
}

.text-content-lessons,
.image-content-lessons {
    width: 100%;
}

.lesson-number-input {
    width: 3rem;
    line-height: 1rem;
    border: 1px solid #000;
    border-radius: 5px;
    overflow: hidden;
    scrollbar-width: none;
    /* For Firefox */
    -ms-overflow-style: none;
    /* For Internet Explorer and Microsoft Edge */
}

.lesson-number-input::-webkit-inner-spin-button,
.lesson-number-input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.lesson-number-input::-webkit-outer-spin-button:focus,
.lesson-number-input::-webkit-inner-spin-button:focus {
    outline: none;
}

.lesson-text-input {
    width: 10rem;
    line-height: 1rem;
    border: 1px solid #000;
    border-radius: 5px;
    overflow: hidden;
    scrollbar-width: none;
    /* For Firefox */
    -ms-overflow-style: none;
    /* For Internet Explorer and Microsoft Edge */
}

.lesson-text-input::-webkit-inner-spin-button,
.lesson-text-input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.lesson-text-input::-webkit-outer-spin-button:focus,
.lesson-text-input::-webkit-inner-spin-button:focus {
    outline: none;
}

.lessons-header {
    margin-bottom: 3rem;
}

.lessons-header-2 {
    /* Your normal styles for the text in language 2. Adjust as necessary */
    text-align: left;
    margin-bottom: 0;
    font-size: 3.5rem;
    font-weight: 800;
    color: #303030;
    border-bottom: 2px solid #cca677;

}

.lessons-header-1 {
    font-weight: 300;
    /* Thin font */
    font-size: 1rem;
    /* Smaller size */
    color: #5f5f5f;
    /* Lighter color */
    text-align: left;
}

.lessons-text-2 {
    /* Your normal styles for the text in language 2. Adjust as necessary */
    font-weight: 600;
    font-size: 3rem;
    color: #2e2e2e;
    margin-bottom: 0;

}

.lessons-text-1 {
    font-weight: 300;
    /* Thin font */
    font-size: 1rem;
    /* Smaller size */
    color: #5f5f5f;
    /* Lighter color */
    margin-bottom: 2rem;
}

.lessons-head-2 {
    /* Your normal styles for the text in language 2. Adjust as necessary */
    font-weight: 600;
    font-size: 3rem;
    color: #303030;
    margin-bottom: 0;
}

.lessons-head-1 {
    font-weight: 300;
    /* Thin font */
    font-size: 1rem;
    /* Smaller size */
    color: #5f5f5f;
    /* Lighter color */
    margin-bottom: 3rem;
}

.lessons-text-1 input {
    display: none;
    /* Hides input fields inside the p tags with .lesson-text-1 class */
}

.lessons-head-1 input {
    display: none;
    /* Hides input fields inside the p tags with .lesson-text-1 class */
}

.lessons-navigation {
    position: fixed;
    bottom: 2rem;
    display: flex;
    justify-content: center;
    gap: 20px;
    width: 100%;
    left: 0;
}

.lessons-navigation-button {
    display: flex;
    align-items: center;
    gap: 10px;
    /* spacing between the arrow and the text */
    width: 10rem;
    justify-content: center;
    background-color: #a9a9a9;
    color: rgba(255, 255, 255, 0.9);
    border: 1px solid #6d280031;
    font-weight: 600;
    border-radius: 100px;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
}

.lessons-navigation-button:hover {
    background-color: #7e7e7e;
    border: 1px solid #7e7e7e;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
    color: #ffffff;
}

.lessons-navigation-button:active {
    background-color: #7e7e7e;
    border: 1px solid #7e7e7e;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
    color: #ffffff;
}

.back-bottom-lessons .btn-custom {
    position: fixed;
    left: 1rem;
    width: 10rem;
    background-color: #a9a9a9;
    color: rgba(255, 255, 255, 0.9);
    border: 1px solid #a9a9a9;
    font-weight: 600;
    border-radius: 100px;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
}

.back-bottom-lessons .btn-custom:hover {
    background-color: #7e7e7e;
    border: 1px solid #7e7e7e;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
    color: #ffffff;
}

.back-bottom-lessons .btn-custom:active {
    background-color: #7e7e7e;
    border: 1px solid #7e7e7e;
    box-shadow: 0 0 1px hsla(10, 0%, 12%, 0.719), 0 0 2px hsla(10, 0%, 12%, 0.719), 0 0 4px hsla(10, 0%, 12%, 0.719), 0 0 6px hsla(10, 0%, 12%, 0.719);
    color: #ffffff;
}

#lessons-page {
    display: flex;
    justify-content: start;
    align-items: center;
    padding-top: 4rem;
}

.image-content-lessons img {
    width: 100%;    /* this will make the image width 100% of its parent div */
    height: auto;   /* this will scale the height while maintaining the aspect ratio */
    object-fit: cover;  /* this will ensure that the image covers the entire width/height of the parent div without distorting the image */
}
/*
.text-content-lessons .lessons-text-2 span {
    display: flex;
    align-items: center;
}*/

.text-content-lessons .lessons-text-2 .speak-icon {
    margin-left: 20px;
    width: 3rem;
    height: 3rem;
    opacity: 0.9;

}

.lessons-header-2 .speak-icon {
    margin-left: 20px;
    width: 3.5rem;
    height: 3.5rem;
    opacity: 0.9;
}



@media (min-width: 768px) {
    .card.active.lessons.large {
        flex-direction: row;
    }

    .text-content-lessons {
        flex: 2;
    }

    .image-content-lessons {
        flex: 1;
    }
}


@media (min-width: 576px) {
    #welcome-page-content {
        max-width: 540px;
        margin: auto;
    }

    .page-language-selection {
        max-width: 540px;
        margin: auto;
        margin-top: 150px;


    }

    #registration-back-button {
        max-width: 540px;
        margin: auto;
        left: auto;
        padding-right: 0%;

    }




}


@media only screen and (max-width: 768px) {
    .card-container {
        flex-direction: column;
        align-items: center;
    }

    .game-level {
        gap: 0.2rem;
        max-width: 50rem;
    }

    .card-body-game {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        background: #350520;
        border-bottom: 0.125rem solid #6d0064;
        border-radius: 1.5rem;
        width: 20rem;
        text-align: center;
    
    }

    .direction-card {
        width: 100%;
        margin-bottom: 10px;
    }

    .card {
        width: 100%;
    }

    .app-container-game {
        width: 90% !important;
        max-height: 100% !important;
        margin: 0px !important;
        padding: 5px !important;
    }

    #train-page {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
    }

    #writing-page {
        display: flex;
        justify-content: start;
        align-items: center;
        height: 100vh;
    }



    #train-page .back-bottom .btn-custom {
        min-height: 20px;
    }

    #writing-page .back-bottom .btn-custom {
        min-height: 20px;
    }

    #writing-page .card-body {
        justify-content: end;
    }

    #writing-page .card-title {
        margin-bottom: 0;
    }

    #writing-page .cursive-font {
        margin-bottom: 0;
    }

    #writing-page .h5 {
        margin-bottom: 0;
    }

    #lessons-page .back-bottom .btn-custom {
        min-height: 20px;
    }

    #study-page {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
    }

    .navbar-popup {
        /* adjust styles for mobile */
        width: auto;
    }

    .card-body {
        font-size: 100%;
    }

    #welcome-page-content {
        padding: 1.25rem;
    }

    .page-language-selection {
        padding: 1.25rem;
    }

    #welcome-header p {
        font-size: 1.1rem;
    }
}

@media (max-width: 575.98px) {

    .game-level {
        gap: 0.2rem;
        max-width: 95%;
    }

    .game-level-columns {
        padding-bottom: 25vh;
    }

    .card-columns {
        column-count: 1;
    }

    body {
        justify-content: normal;
    }



    .back-bottom .btn {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
    }

    #study-page .back-bottom .btn-custom {
        position: unset;
        background-color: #00550b;
        left: 0;
        min-width: 175px;
        display: flex;
        justify-content: center;
        /* This aligns items horizontally */
        align-items: center;
        /* This aligns items vertically */
        border-radius: 0px 50px 0px 0px;
        color: #1f1f1f;
        margin: -20px 0px 10px -30px;
        ;
    }


    .lessons-header {
        margin-bottom: 3rem;
    }

    .lessons-header-2 {
        margin-bottom: 0;
        font-size: 1.5rem;
        font-weight: 800;
    }

    .lessons-header-1 {
        font-weight: 300;
        /* Thin font */
        font-size: 1rem;
        /* Smaller size */
    }

    .lessons-text-2 {
        /* Your normal styles for the text in language 2. Adjust as necessary */
        font-weight: 600;
        font-size: 1rem;

    }

    .lessons-text-1 {
        font-weight: 300;
        /* Thin font */
        font-size: 0.8rem;
        /* Smaller size */
      
        margin-bottom: 2rem;
    }

    .lessons-head-2 {
        /* Your normal styles for the text in language 2. Adjust as necessary */
        font-weight: 600;
        font-size: 1.5rem;
        color: #303030;
        margin-bottom: 0;
    }

    .lessons-head-1 {
        margin-bottom: 1rem;
    }

    .back-bottom-lessons .btn-custom {
        left: 0;
        bottom: 0;
        width: 100%;
        border-radius: 0;

       }
       .lessons-navigation {
       
        margin: 0 0 30px 0;
    }

    .text-content-lessons .lessons-text-2 .speak-icon {
        margin-left: 20px;
        width: 1rem;
        height: 1rem;
    }

    .lessons-header-2 .speak-icon {
        margin-left: 10px;
        width: 1.5rem;
        height: 1.5rem;
    }
  
    
}

@keyframes shake {

    0%,
    100% {
        transform: translateX(0);
    }

    10%,
    30%,
    50%,
    70%,
    90% {
        transform: translateX(-5px);
    }

    20%,
    40%,
    60%,
    80% {
        transform: translateX(5px);
    }
}